# Update organization access policy

> API endpoint that updates an organization's access policy by adding or removing entities such as directory groups.

Updates the access policy for an organization by adding and/or removing entities.

## Endpoint

`PUT /api/PartitionAccessPolicy/{partitionGlobalId}`

## Request headers

```
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
```

## Parameters

| Name | Type | Location | Required | Description |
| --- | --- | --- | --- | --- |
| `partitionGlobalId` | GUID | Path | Yes | The global identifier of the organization.  For steps on retrieving `partitionGlobalId`, refer to [Retrieving partitionGlobalId for API use](https://docs.uipath.com/automation-cloud/automation-cloud/latest/api-guide/retrieving-partitionglobalid-for-api-use) |

## Responses

### 200 OK

```
[
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "ce684f6f-5af3-4e43-8516-1adad6e98fc9",
        "name": "Everyone",
        "email": null,
        "displayName": "Everyone"
    },
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "65bac4da-2a5b-459a-8f49-318dc95c06a6",
        "name": "Citizen Developers",
        "email": null,
        "displayName": "Citizen Developers"
    },
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "35551807-06b1-4cda-90a1-2fb84851eee7",
        "name": "Administrators",
        "email": null,
        "displayName": "Administrators"
    }
]
```
